/*
 * Arrebol Consultancy copyright.
 * 
 * This code belongs to Arrebol Consultancy
 * its use, redistribution or modification are prohibited 
 * without written authorization from Arrebol Consultancy.
 */
package com.arrebol.taxiservicios.model.admin;

import com.arrebol.taxiservicios.model.core.Person;
import com.arrebol.taxiservicios.model.core.User;
import com.arrebol.taxiservicios.model.enums.BasicType;
import com.arrebol.taxiservicios.model.view.report.PaymentClient;
import java.io.Serializable;
import java.util.Date;

/**
 *
 * @author Carlos Janitzio Zavala Lopez <janitzio.zavala@arrebol.com.mx>
 */
public class FinancingCustomer implements Serializable {

    private String id;
    private Person customer;
    private Taxi taxi;
    private BasicType activeStatus;
    private double lastDebit;
    private double monthDebit;
    private double increase;
    private double discount;
    private String commentsDiscount;
    private String commentsIncrease;
    private double payment;
    private double actuallyDebit;
    private Boolean active;
    private String comments;
    private User createdBy;
    private Date createdOn;
    private User lastUpdatedBy;
    private Date lastUpdatedOn;
    private PaymentClient paymentClient;

    public FinancingCustomer() {
    }

    public BasicType getActiveStatus() {
        return activeStatus;
    }

    public void setActiveStatus(BasicType activeStatus) {
        this.activeStatus = activeStatus;
    }

    public FinancingCustomer(String id, double lastDebit, double monthDebit, double increase, double discount, String commentsDiscount, String commentsIncrease, double payment, double actuallyDebit, Date createdOn) {
        this.id = id;
        this.lastDebit = lastDebit;
        this.monthDebit = monthDebit;
        this.increase = increase;
        this.discount = discount;
        this.commentsDiscount = commentsDiscount;
        this.commentsIncrease = commentsIncrease;
        this.payment = payment;
        this.actuallyDebit = actuallyDebit;
        this.createdOn = createdOn;
    }
    
    
    public FinancingCustomer(String id, double lastDebit, double monthDebit, double increase, double discount, String commentsDiscount, String commentsIncrease, double payment, double actuallyDebit, Date createdOn, PaymentClient paymentClient) {
        this.id = id;
        this.lastDebit = lastDebit;
        this.monthDebit = monthDebit;
        this.increase = increase;
        this.discount = discount;
        this.commentsDiscount = commentsDiscount;
        this.commentsIncrease = commentsIncrease;
        this.payment = payment;
        this.actuallyDebit = actuallyDebit;
        this.createdOn = createdOn;
        this.paymentClient = paymentClient;
    }

    public FinancingCustomer(String id, double lastDebit, double monthDebit, double increase, double discount, double payment, double actuallyDebit) {
        this.id = id;
        this.lastDebit = lastDebit;
        this.monthDebit = monthDebit;
        this.increase = increase;
        this.discount = discount;
        this.payment = payment;
        this.actuallyDebit = actuallyDebit;
    }

    
    
    

    /**
     *
     * @param id
     */
    public FinancingCustomer(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Person getCustomer() {
        return customer;
    }

    public void setCustomer(Person customer) {
        this.customer = customer;
    }

    public Taxi getTaxi() {
        return taxi;
    }

    public void setTaxi(Taxi taxi) {
        this.taxi = taxi;
    }

    public double getLastDebit() {
        return lastDebit;
    }

    public void setLastDebit(double lastDebit) {
        this.lastDebit = lastDebit;
    }

    public double getMonthDebit() {
        return monthDebit;
    }

    public void setMonthDebit(double monthDebit) {
        this.monthDebit = monthDebit;
    }

    public double getIncrease() {
        return increase;
    }

    public void setIncrease(double increase) {
        this.increase = increase;
    }

    public double getDiscount() {
        return discount;
    }

    public void setDiscount(double discount) {
        this.discount = discount;
    }

    public String getCommentsDiscount() {
        return commentsDiscount;
    }

    public void setCommentsDiscount(String commentsDiscount) {
        this.commentsDiscount = commentsDiscount;
    }

    public String getCommentsIncrease() {
        return commentsIncrease;
    }

    public void setCommentsIncrease(String commentsIncrease) {
        this.commentsIncrease = commentsIncrease;
    }

    public double getPayment() {
        return payment;
    }

    public void setPayment(double payment) {
        this.payment = payment;
    }

    public double getActuallyDebit() {
        return actuallyDebit;
    }

    public void setActuallyDebit(double actuallyDebit) {
        this.actuallyDebit = actuallyDebit;
    }

    public Boolean getActive() {
        return active;
    }

    public void setActive(Boolean active) {
        this.active = active;
    }

    public String getComments() {
        return comments;
    }

    public void setComments(String comments) {
        this.comments = comments;
    }

    public User getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(User createdBy) {
        this.createdBy = createdBy;
    }

    public Date getCreatedOn() {
        return createdOn;
    }

    public void setCreatedOn(Date createdOn) {
        this.createdOn = createdOn;
    }

    public User getLastUpdatedBy() {
        return lastUpdatedBy;
    }

    public void setLastUpdatedBy(User lastUpdatedBy) {
        this.lastUpdatedBy = lastUpdatedBy;
    }

    public Date getLastUpdatedOn() {
        return lastUpdatedOn;
    }

    public void setLastUpdatedOn(Date lastUpdatedOn) {
        this.lastUpdatedOn = lastUpdatedOn;
    }

    public PaymentClient getPaymentClient() {
        return paymentClient;
    }

    public void setPaymentClient(PaymentClient paymentClient) {
        this.paymentClient = paymentClient;
    }

   

}
